Subject: Re: bug#11541: 24.0.97; Crash when visiting file on OS X 10.7.3

From: Florian Ebeling <[email-masked]>
Date: Thu, 31 May 2012 12:19:45 +0200

>> No, still the same crash location.
>
> Hmm, then I'm pretty much stumped.  I'm not familiar with Cocoa
> debugging; is it possible to inspect the contents of the fdesc and fkeys
> NSObjects?

Yes, this is what these look like:

(gdb) p fkeys
$1 = (NSMutableSet *) 0x102e804c0
(gdb) po fkeys
{(
)}
(gdb) p fdesc
$2 = (NSFontDescriptor *) 0x102e80470
(gdb) po fdesc
NSCTFontDescriptor <0x102e80470> = {
}
(gdb) po [fkeys description]
{(
)}
(gdb) po [fdesc description]
NSCTFontDescriptor <0x102e80470> = {
}
(gdb) po [fkeys debugDescription]
{(
)}
(gdb) po [fdesc debugDescription]
NSCTFontDescriptor <0x102e80470> = {
}
(gdb) po [fkeys className]
__NSCFSet
(gdb) po [fdesc className]
NSCTFontDescriptor

Basically, you can call methods on these objects as well (I think
there are limitations, though.) I think the po command is an extension
that Apple added to their gdb.

The objects look empty. But that should not result in an abort signal, IMO.

-- 
Florian Ebeling
[email-masked]